/*********************************************************/
/***                   Listing One                     ***/
/***                  "containr.hpp"                   ***/
/***       This is the interface class for TWAIN       ***/
/***                   containers.                     ***/
/***                                                   ***/
/***                    adapted by                     ***/
/***                 Craig A. Lindley                  ***/
/***                                                   ***/
/***      Revision: 1.0   Last Update: 12/11/93        ***/
/*********************************************************/

// See the file containr.cpp for the revision history

// Check to see if this file already included
#ifndef CONTAINR_HPP
#define CONTAINR_HPP

#include "dc.h"

class huge Containr {

  private:
    void GetItem(DC_UINT16 Type, LPVOID lpSource, LPVOID lpDest,
                 int SourceIndex, int DestIndex);

  public:
    DC_FIX32 FloatToFIX32(float AFloat);
    float FIX32ToFloat(DC_FIX32 Fix32);

    BOOL BuildUpOneValue(pDC_CAPABILITY pCap, DC_UINT16 ItemType, DC_UINT32 Item);
    BOOL ExtractOneValue(pDC_CAPABILITY pCap, LPVOID pVoid);

    BOOL BuildUpEnumerationType(pDC_CAPABILITY pCap, pDC_ENUMERATION pE,
                                LPVOID lpList);
    BOOL ExtractEnumerationValue(pDC_CAPABILITY pCap, LPVOID pVoid, int Index);

    BOOL BuildUpArrayType(pDC_CAPABILITY pCap, pDC_ARRAY pA, LPVOID lpList);
    BOOL ExtractArrayValue(pDC_CAPABILITY pCap, LPVOID pVoid, int Index);

    BOOL BuildUpRangeType(pDC_CAPABILITY pCap, pDC_RANGE lpRange);
    BOOL ExtractRange(pDC_CAPABILITY pCap, pDC_RANGE lpRange);
};

#endif
                                              